Bug 151376 - RHEL4: slabtop calculation overflow
Summary: RHEL4: slabtop calculation overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: procps   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-03-17 13:19 UTC by Karel Zak
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-615
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 15:49:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug fix (3.53 KB, patch)
2005-03-17 13:19 UTC, Karel Zak
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:615 qe-ready SHIPPED_LIVE procps bug fix update 2005-10-05 04:00:00 UTC

Description Karel Zak 2005-03-17 13:19:25 UTC
Jes Sorensen <jes@trained-....>:

I have been having a few issues with slabtop overflowing a number of
calculations on a small test box with 44GB of RAM in it to the point
where numbers started printing as being negative.

This should take care of it (at least the cases I noticed) if you're
interested in putting it into RHEL etc.

Cheers,
Jes

Comment 1 Karel Zak 2005-03-17 13:19:25 UTC
Created attachment 112084 [details]
bug fix

Comment 6 Red Hat Bugzilla 2005-10-05 15:49:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-615.html



Note You need to log in before you can comment on or make changes to this bug.